Bug 619518 - Review Request: aajohan-comfortaa-fonts - Modern style true type font
Summary: Review Request: aajohan-comfortaa-fonts - Modern style true type font
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Adam Miller
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-29 17:55 UTC by Luya Tshimbalanga
Modified: 2010-08-10 09:31 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-10 09:31:26 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
maxamillion: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Luya Tshimbalanga 2010-07-29 17:55:06 UTC
Spec URL: http://luya.fedorapeople.prg/packages/SPECS/aajohan-comfortaa-fonts.specs
SRPM URL: http://luya.fedorapeople.org/packages/SRPMS/aajohan-comfortaa-fonts-1.4-1.fc13.src.rpm
Description: Comfortaa is a sans-serif font comfortable in every aspect. It has Regular, Light Condensed, Italic, Bold Expanded, and Bold Italic variants. It has very good European language coverage and also has decent Cyrillic coverage.

Comment 1 Lameire Alexis 2010-07-29 19:27:59 UTC
Hi,
here is an informal review, since I'm not (yet) a sponsored packager.
rpmlint outputs : 
aajohan-comfortaa-fonts.src: E: description-line-too-long C Comfortaa is a sans-serif font intended to mimic Gill Sans. It has Regular, Light Condensed, Italic, Bold Expanded, and Bold Italic variants. It has very good European language coverage and also has decent Cyrillic coverage.
->Add breaklines so that the lines in your description are less than 80-character wide.
aajohan-comfortaa-fonts.src:13: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 13)
check it ;-) 
-> Be careful to use spaces instead of tabs in BuildArch and Requires
The build fails:
+ cd Comfortaa___font_by_aajohan.zip
/var/tmp/rpm-tmp.LhrifH: line 38: cd: Comfortaa___font_by_aajohan.zip: No such file or directory
-> Line 24 is false:
%setup -q -n Comfortaa___font_by_aajohan.zip
-n is used to specify the name of the extracted source archive : in your case the good syntax is:
%setup -q -n Comfortaa
By the way, the %build section doesn't need neither %configure, nor %build: the archive only contains ttf files, no build is required (see the guidelines: http://fedoraproject.org/wiki/Packaging:FontsPolicy).
Moreover, your %files section looks quite empty... Finally the spec file in the source RPM is not really complete, and the spec URL you given above is not correct. I hope you uploaded a draft version of your SRPM by mistake, otherwise it would be worrying to submit such an incomplete package.

Comment 2 Luya Tshimbalanga 2010-07-29 22:46:15 UTC
Spec URL:
http://luya.fedorapeople.prg/packages/SPECS/aajohan-comfortaa-fonts.specs
SRPM URL:
http://luya.fedorapeople.org/packages/SRPMS/aajohan-comfortaa-fonts-1.4-2.fc13.src.rpm

$ rpmlint rpmbuild/SRPMS/aajohan-comfortaa-fonts-1.4-2.fc13.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings(In reply to comment #1)

> Hi,
> here is an informal review, since I'm not (yet) a sponsored packager.
> rpmlint outputs : 
> aajohan-comfortaa-fonts.src: E: description-line-too-long C Comfortaa is a
> sans-serif font intended to mimic Gill Sans. It has Regular, Light Condensed,
> Italic, Bold Expanded, and Bold Italic variants. It has very good European
> language coverage and also has decent Cyrillic coverage.
> ->Add breaklines so that the lines in your description are less than
> 80-character wide.

Fixed.

> aajohan-comfortaa-fonts.src:13: W: mixed-use-of-spaces-and-tabs (spaces: line
> 4, tab: line 13)
> check it ;-) 

Habit inherited from using Scribus. =)

> -n is used to specify the name of the extracted source archive : in your case
> the good syntax is:
> %setup -q -n Comfortaa
> By the way, the %build section doesn't need neither %configure, nor %build: the
> archive only contains ttf files, no build is required (see the guidelines:
> http://fedoraproject.org/wiki/Packaging:FontsPolicy).

rpmlint was whining about lack of %build so I left it to remove the warning message.

> Moreover, your %files section looks quite empty...

Removed.

 Finally the spec file in the
> source RPM is not really complete, and the spec URL you given above is not
> correct. I hope you uploaded a draft version of your SRPM by mistake, otherwise

Yes I did. The correct version is now uploaded.

Comment 3 Luya Tshimbalanga 2010-07-29 22:47:28 UTC
Whoops:
Spec URL:
http://luya.fedorapeople.prg/packages/SPECS/aajohan-comfortaa-fonts.spec

Comment 4 TK009 2010-07-29 23:23:02 UTC
404 on spec file link.

did you use the font spec file template? There is no %files section by default in the template.

rpmdev-newspec <fontname>-fonts will generate the skeleton font spec.

Just an FYI if you didn't know already.

Comment 5 Luya Tshimbalanga 2010-07-29 23:51:19 UTC
Here is the correct SPEC url address:
http://luya.fedorapeople.org/packages/SPECS/aajohan-comfortaa-fonts.spec    

That was a typo.

Thank you about generating font spec using rpmdev-newspec. I have compared the spec with existing and noticed absence of %files so that is removed.

Comment 6 TK009 2010-07-30 00:16:44 UTC
I am a new fonts packager myself having only done two fonts so far. I may be wrong here however I see two things right away.

%global fontconf 60-%{fontname}.conf
Are you sure about the 60 setting? This may be a special case but generally you would not set it at 60.

You fonconfig.conf doesn't look right.

#<?xml version ="1.0" encoding="UTF-8" ?>
#<!DOCTYPE fontconfig SYSTEM "../fonts.dtd">
#<fontconfig>
	#<alias binding="same">
	#<family>MgOpen Modata</finally>
	#<accept>
		#<family>Comfortaa</family>
	#</accept>
	#</alias>
#</fontconfig>

This is one from a font I was doing before I knew someone else was doing it. There is a preferred and a default section.

<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<fontconfig>
  <alias>
    <family>sans-serif</family>
    <prefer>
      <family>Gillius</family>
    </prefer>
  </alias>
  <alias>
    <family>Gillius</family>
    <default>
      <family>sans-serif</family>
    </default>
  </alias>
</fontconfig>

Comment 7 Luya Tshimbalanga 2010-07-30 00:46:42 UTC
That is my first venture to fonts packaging which means be in wrong in most case.
So which setting should I use for fontconfig.conf??

Comment 8 TK009 2010-07-30 02:02:56 UTC
I can't give you a good answer as I don't fully understand how those setting work.
see: /usr/share/fontconfig/templates/fontconfig-priorities.txt

That didn't help me much, neither does the wiki info.
What little I do (think I) know is that it sets the priority of the font for the system. 60 would make it a system default if I understand correctly.

I set mine to 64 to be safe, your font is a higher quality than mine have been so a higher setting may be appropriate. 

If you don't have a sponsor you'll want find one. Maybe ask on the devel list. I can't sponsor you as I am only a packager. However, here is what I see for what it is worth.

rpmlint:
1 warning

aajohan-comfortaa-fonts.noarch: W: no-documentation

repo-font-audit
2 warnings
1 Suggestion
— Warning: bad font naming  
  Comfortaa,  → Comfortaa, Regular
    Comfortaa Thin.ttf	[aajohan-comfortaa-fonts]

— Warning: fonts with localized metadata but no English variant
  /usr/share/fonts/aajohan-comfortaa/Comfortaa Thin.ttf
  [aajohan-comfortaa-fonts-0:1.4-2.fc13.noarch]

— Suggestion: fonts with partial script coverage
  [aajohan-comfortaa-fonts](3)

To get the missing script coverage information simply run 
FC_DEBUG=256 fc-query <font-file>

You'll want to run all three of these yourself and do what the tools suggest.

Except for the 60 setting, everything looks pretty good. I do not believe any of these warning would stop the packaging process. You will of course want to address them.

Comment 9 Luya Tshimbalanga 2010-07-30 02:58:50 UTC
I have updated the spec and source rpm. Only change was fontconfig.conf with prefix set to 61 according to the wiki instead of 55 because of priority from default fonts.

I am already sponsored as I am myself gdesklets and thewidgetfactory packager.

Only warming is related to %doc but I can ask upstream to fix that for future update.

$ rpmlint rpmbuild/RPMS/noarch/aajohan-comfortaa-fonts-1.4-2.fc13.noarch.rpm 
aajohan-comfortaa-fonts.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Comment 10 Chen Lei 2010-07-30 12:09:34 UTC
Please follow font policy to package a font for fedora:
http://fedoraproject.org/wiki/Packaging:FontsPolicy

Comment 11 Paul Flo Williams 2010-07-30 12:41:15 UTC
1. There is no need to ask upstream to fix the documentation, as it is already in the archive. You need to provide these files as part of the package:

Please read me.txt
Comfortaa FONTLOG.txt
OFL - Font License.txt

These need correctly formatting for line length and line endings.

2. The reason that the original fontconfig was wrong is that it was suggesting that Comfortaa is the same design as MgOpen Modata, which it is not.

3. Why are you using 1.4 as the version number? The archive has no version number and the font files themselves are version 1.003.

Comment 12 Luya Tshimbalanga 2010-07-30 18:04:00 UTC
Spec URL:
http://luya.fedorapeople.prg/packages/SPECS/aajohan-comfortaa-fonts.specs
SRPM URL:
http://luya.fedorapeople.org/packages/SRPMS/aajohan-comfortaa-fonts-1.003-3.fc13.src.rpm

(In reply to comment #11)
> 1. There is no need to ask upstream to fix the documentation, as it is already
> in the archive. You need to provide these files as part of the package:
> 
> Please read me.txt
> Comfortaa FONTLOG.txt
> OFL - Font License.txt

Added but I received these warnings:

$ rpmlint rpmbuild/RPMS/noarch/aajohan-comfortaa-fonts-1.4-3.fc13.noarch.rpm 
aajohan-comfortaa-fonts.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/aajohan-comfortaa-fonts-1.4/Please read me.txt
aajohan-comfortaa-fonts.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/aajohan-comfortaa-fonts-1.4/Comfortaa FONTLOG.txt
aajohan-comfortaa-fonts.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/aajohan-comfortaa-fonts-1.4/OFL - Font License.txt
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

I am not sure where wrong-file-of-line-encoding come from. Will those impact packaging process?


> 2. The reason that the original fontconfig was wrong is that it was suggesting
> that Comfortaa is the same design as MgOpen Modata, which it is not.

That was an attempt but the wiki documentation is not clear so I was stuck with wild guess. With TK009, I settled to generic fontconfig.


> 3. Why are you using 1.4 as the version number? The archive has no version
> number and the font files themselves are version 1.003.    

Fixed. I based version number on the Please Readme text

Comment 13 Mohamed El Morabity 2010-07-30 18:12:01 UTC
(In reply to comment #12)

> $ rpmlint rpmbuild/RPMS/noarch/aajohan-comfortaa-fonts-1.4-3.fc13.noarch.rpm 
> aajohan-comfortaa-fonts.noarch: W: wrong-file-end-of-line-encoding
> /usr/share/doc/aajohan-comfortaa-fonts-1.4/Please read me.txt
> aajohan-comfortaa-fonts.noarch: W: wrong-file-end-of-line-encoding
> /usr/share/doc/aajohan-comfortaa-fonts-1.4/Comfortaa FONTLOG.txt
> aajohan-comfortaa-fonts.noarch: W: wrong-file-end-of-line-encoding
> /usr/share/doc/aajohan-comfortaa-fonts-1.4/OFL - Font License.txt
> 1 packages and 0 specfiles checked; 0 errors, 3 warnings.
> 
> I am not sure where wrong-file-of-line-encoding come from. Will those impact
> packaging process?
Those files were maybe written under MS Windows, with non-Unix end-of-lines and so probable incorrect display in terminal for example or whatever under Linux. See:
   http://fedoraproject.org/wiki/Common_Rpmlint_issues#wrong-file-end-of-line-encoding
and correct those files in your %prep section.

Comment 14 Luya Tshimbalanga 2010-07-30 18:58:22 UTC
Almost but I need to reminder how set a variable that uses string like "Comfortaa FONTLOG.txt"

I borrowed the method from ns-bola-fonts but I cannot exactly remember how to declare such variable:

chmod 0644 *.txt
for txt in *.txt ; do
   fold -s $txt > $txt.new[]
   sed -i 's/\r//' $txt.new[]
   touch -r $txt $txt.new[]
   mv $txt.new[] $txt 

Result:
+ for txt in '*.txt'
+ fold -s Comfortaa FONTLOG.txt
fold: Comfortaa: No such file or directory
fold: FONTLOG.txt: No such file or directory
+ sed -i 's/\r//' Comfortaa FONTLOG.txt.new

Should I declare something like $txt[]?

Comment 15 Luya Tshimbalanga 2010-07-30 21:31:26 UTC
Updated spec and URL addressing wrong-file-of-line-encoding issue.

Spec URL:
http://luya.fedorapeople.org/packages/SPECS/aajohan-comfortaa-fonts.specs
SRPM URL:
http://luya.fedorapeople.org/packages/SRPMS/aajohan-comfortaa-fonts-1.003-3.fc13.src.rpm

Comment 16 Luya Tshimbalanga 2010-08-03 18:14:06 UTC
(In reply to comment #15)

Correct Spec URL (without "s"):
http://luya.fedorapeople.org/packages/SPECS/aajohan-comfortaa-fonts.spec

Comment 17 Adam Miller 2010-08-03 20:59:33 UTC
YES - Package meets naming and packaging guidelines
YES - Spec file matches base package name.
YES - Spec has consistant macro usage.
YES - Meets Packaging Guidelines.
YES - License
YES - License field in spec matches
YES - License file included in package
YES - Spec in American English
YES - Spec is legible.
YES - Sources match upstream md5sum:

NA - Package needs ExcludeArch
YES - BuildRequires correct
NA - Spec handles locales/find_lang
NA - Package is relocatable and has a reason to be.
NA - Package has %defattr and permissions on files is good.
YES - Package has a correct %clean section.
YES - Package has correct buildroot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
YES - Package is code or permissible content.
NA - Doc subpackage needed/used.
YES - Packages %doc files don't affect runtime.

NA - Headers/static libs in -devel subpackage.
NA - Spec has needed ldconfig in post and postun
NA - .pc files in -devel subpackage/requires pkgconfig
NA - .so files in -devel subpackage.
NA - -devel package Requires: %{name} = %{version}-%{release}
NA - .la files are removed.

NA - Package is a GUI app and has a .desktop file

YES - Package compiles and builds on at least one arch.
YES - Package has no duplicate files in %files.
YES - Package doesn't own any directories other packages own.
YES - Package owns all the directories it creates.
YES - No rpmlint output.
YES - final provides and requires are sane:
(include output of for i in *rpm; do echo $i; rpm -qp --provides $i; echo =; rpm -qp --requires $i; echo; done
manually indented after checking each line.  I also remove the rpmlib junk and anything provided by glibc.)

[15:56:22][adam@turnip][result]+ for i in *rpm; do echo $i; rpm -qp --provides $i; echo =; rpm -qp --requires $i; echo; done
aajohan-comfortaa-fonts-1.003-3.fc13.noarch.rpm
config(aajohan-comfortaa-fonts) = 1.003-3.fc13
font(:lang=aa)  
font(:lang=af)  
font(:lang=an)  
font(:lang=ast)  
font(:lang=av)  
font(:lang=ay)  
font(:lang=be)  
font(:lang=bg)  
font(:lang=bi)  
font(:lang=br)  
font(:lang=bs)  
font(:lang=bua)  
font(:lang=ca)  
font(:lang=ce)  
font(:lang=ch)  
font(:lang=co)  
font(:lang=crh)  
font(:lang=cs)  
font(:lang=csb)  
font(:lang=cy)  
font(:lang=da)  
font(:lang=de)  
font(:lang=el)  
font(:lang=en)  
font(:lang=eo)  
font(:lang=es)  
font(:lang=et)  
font(:lang=eu)  
font(:lang=fi)  
font(:lang=fil)  
font(:lang=fj)  
font(:lang=fo)  
font(:lang=fr)  
font(:lang=fur)  
font(:lang=fy)  
font(:lang=gd)  
font(:lang=gl)  
font(:lang=gv)  
font(:lang=ho)  
font(:lang=hr)  
font(:lang=hsb)  
font(:lang=ht)  
font(:lang=hu)  
font(:lang=ia)  
font(:lang=id)  
font(:lang=ie)  
font(:lang=ik)  
font(:lang=io)  
font(:lang=is)  
font(:lang=it)  
font(:lang=jv)  
font(:lang=kaa)  
font(:lang=ki)  
font(:lang=kj)  
font(:lang=kk)  
font(:lang=kl)  
font(:lang=ku-tr)  
font(:lang=kum)  
font(:lang=kwm)  
font(:lang=ky)  
font(:lang=la)  
font(:lang=lb)  
font(:lang=lez)  
font(:lang=lg)  
font(:lang=li)  
font(:lang=lt)  
font(:lang=lv)  
font(:lang=mg)  
font(:lang=mh)  
font(:lang=mn-mn)  
font(:lang=ms)  
font(:lang=mt)  
font(:lang=na)  
font(:lang=nb)  
font(:lang=nds)  
font(:lang=ng)  
font(:lang=nl)  
font(:lang=nn)  
font(:lang=no)  
font(:lang=nr)  
font(:lang=nso)  
font(:lang=ny)  
font(:lang=oc)  
font(:lang=om)  
font(:lang=os)  
font(:lang=pap-an)  
font(:lang=pap-aw)  
font(:lang=pl)  
font(:lang=pt)  
font(:lang=rm)  
font(:lang=rn)  
font(:lang=ru)  
font(:lang=rw)  
font(:lang=sc)  
font(:lang=se)  
font(:lang=sel)  
font(:lang=sg)  
font(:lang=sk)  
font(:lang=sl)  
font(:lang=sma)  
font(:lang=smj)  
font(:lang=smn)  
font(:lang=sn)  
font(:lang=so)  
font(:lang=sq)  
font(:lang=sr)  
font(:lang=ss)  
font(:lang=st)  
font(:lang=su)  
font(:lang=sv)  
font(:lang=sw)  
font(:lang=tk)  
font(:lang=tl)  
font(:lang=tn)  
font(:lang=tr)  
font(:lang=ts)  
font(:lang=tt)  
font(:lang=tyv)  
font(:lang=uk)  
font(:lang=uz)  
font(:lang=vo)  
font(:lang=vot)  
font(:lang=wa)  
font(:lang=wen)  
font(:lang=wo)  
font(:lang=xh)  
font(:lang=yap)  
font(:lang=za)  
font(:lang=zu)  
font(comfortaa)  
aajohan-comfortaa-fonts = 1.003-3.fc13
=
/bin/sh  
/bin/sh  
config(aajohan-comfortaa-fonts) = 1.003-3.fc13
fontpackages-filesystem  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

aajohan-comfortaa-fonts-1.003-3.fc13.src.rpm
=
fontpackages-devel  
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(CompressedFileNames) <= 3.0.4-1


SHOULD Items:

YES - Should build in mock.
YES - Should build on all supported archs
YES - Should function as described.
YES - Should have sane scriptlets.
NA - Should have subpackages require base package with fully versioned depend.
YES - Should have dist tag
YES - Should package latest version
NA - check for outstanding bugs on package. (For core merge reviews)

Issues:

1. fontconfig error when installing via yum localinstall

[root@turnip result]# yum localinstall --nogpgcheck aajohan-comfortaa-fonts-1.003-3.fc13.noarch.rpm 
Loaded plugins: fastestmirror, presto, refresh-packagekit
Setting up Local Package Process
Examining aajohan-comfortaa-fonts-1.003-3.fc13.noarch.rpm: aajohan-comfortaa-fonts-1.003-3.fc13.noarch
Marking aajohan-comfortaa-fonts-1.003-3.fc13.noarch.rpm to be installed
Loading mirror speeds from cached hostfile
updates/metalink                                         |  18 kB     00:00     
 * fedora: mirror.utexas.edu
 * rpmfusion-free: mirror.liberty.edu
 * rpmfusion-free-updates: mirror.liberty.edu
 * updates: mirror.utexas.edu
adobe-linux-i386                                         |  951 B     00:00     
rpmfusion-free-updates                                   | 2.8 kB     00:00     
updates                                                  | 4.5 kB     00:00     
Resolving Dependencies
--> Running transaction check
---> Package aajohan-comfortaa-fonts.noarch 0:1.003-3.fc13 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package Arch   Version      Repository                                    Size
================================================================================
Installing:
 aajohan-comfortaa-fonts
         noarch 1.003-3.fc13 /aajohan-comfortaa-fonts-1.003-3.fc13.noarch 506 k

Transaction Summary
================================================================================
Install       1 Package(s)
Upgrade       0 Package(s)

Total size: 506 k
Installed size: 506 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : aajohan-comfortaa-fonts-1.003-3.fc13.noarch              1/1 
Fontconfig error: "/etc/fonts/conf.d/61-aajohan-comfortaa.conf", line 5: mismatched tag

Installed:
  aajohan-comfortaa-fonts.noarch 0:1.003-3.fc13                                 

Complete!


Fontconfig error is the only thing I see needing some editing, everything else looks quite good.

-AdamM

Comment 18 Luya Tshimbalanga 2010-08-03 21:21:26 UTC
Updated spec and srpm with addressed issue:
Fontconfig error: "/etc/fonts/conf.d/61-aajohan-comfortaa.conf", line 5:
mismatched tag


Spec URL:
http://luya.fedorapeople.org/packages/SPECS/aajohan-comfortaa-fonts.spec
SRPM URL:
http://luya.fedorapeople.org/packages/SRPMS/aajohan-comfortaa-fonts-1.003-4.fc13.src.rpm

Comment 19 Adam Miller 2010-08-03 21:30:35 UTC
Rebuilt in mock and localinstall'd

[root@turnip result]# yum localinstall --nogpgcheck aajohan-comfortaa-fonts-1.003-4.fc13.noarch.rpm 
Loaded plugins: fastestmirror, presto, refresh-packagekit
Setting up Local Package Process
Examining aajohan-comfortaa-fonts-1.003-4.fc13.noarch.rpm: aajohan-comfortaa-fonts-1.003-4.fc13.noarch
Marking aajohan-comfortaa-fonts-1.003-4.fc13.noarch.rpm to be installed
Loading mirror speeds from cached hostfile
 * fedora: mirror.utexas.edu
 * rpmfusion-free: mirror.liberty.edu
 * rpmfusion-free-updates: mirror.liberty.edu
 * updates: mirror.utexas.edu
Resolving Dependencies
--> Running transaction check
---> Package aajohan-comfortaa-fonts.noarch 0:1.003-4.fc13 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package Arch   Version      Repository                                    Size
================================================================================
Installing:
 aajohan-comfortaa-fonts
         noarch 1.003-4.fc13 /aajohan-comfortaa-fonts-1.003-4.fc13.noarch 506 k

Transaction Summary
================================================================================
Install       1 Package(s)
Upgrade       0 Package(s)

Total size: 506 k
Installed size: 506 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : aajohan-comfortaa-fonts-1.003-4.fc13.noarch              1/1 

Installed:
  aajohan-comfortaa-fonts.noarch 0:1.003-4.fc13                                 

Complete!
[root@turnip result]# 



Tested in Openoffice.org Writer, AbiWord, and KWord. Everything looks good.


APPROVED

Comment 20 Luya Tshimbalanga 2010-08-03 21:39:24 UTC
New Package GIT Request
=======================
Package Name: aajohan-comfortaa-fonts
Short Description: Modern style true type font
Owners: Luya Tshimbalanga
Branches: F-12 F-13 F-14 EL-6
InitialCC: luya

Comment 21 Luya Tshimbalanga 2010-08-03 21:45:03 UTC
Fixed.

New Package GIT Request
=======================
Package Name: aajohan-comfortaa-fonts
Short Description: Modern style true type font
Owners: luya
Branches: F-12 F-13 F-14 EL-6
InitialCC: maxamillion tk009

Comment 22 Jason Tibbitts 2010-08-03 23:38:53 UTC
A couple of issues with the request:

We haven't changed the format of the request yet; please use the format in https://fedoraproject.org/wiki/Package_SCM_admin_requests and nothing else, as these are parsed by code, not by people.  I've changed the tool to accept your variant.

The package name you specified "aajohan-comfortaa-fonts" does not match the package name in the bug summary "aajohan-comfortaa".  We require that these match to help avoid typos.  Which is correct?

Comment 23 Luya Tshimbalanga 2010-08-04 01:11:32 UTC
(In reply to comment #22)
> A couple of issues with the request:
> 
> We haven't changed the format of the request yet; please use the format in
> https://fedoraproject.org/wiki/Package_SCM_admin_requests and nothing else, as
> these are parsed by code, not by people.  I've changed the tool to accept your
> variant.

Thanks.

> The package name you specified "aajohan-comfortaa-fonts" does not match the
> package name in the bug summary "aajohan-comfortaa".  We require that these
> match to help avoid typos.  Which is correct?    

"aajohan-comfortaa-fonts" is correct following SIG fonts guideline.

Comment 24 Jason Tibbitts 2010-08-04 01:41:18 UTC
Perhaps it wasn't entirely clear, but you should update the bug summary so that it includes the proper package name.

Comment 25 Paul Flo Williams 2010-08-04 06:11:07 UTC
Luya, the CC list should include fonts-sig, from here:

https://fedoraproject.org/wiki/Font_package_lifecycle

Comment 26 Luya Tshimbalanga 2010-08-04 16:46:28 UTC
New Package SCM Request
=======================
Package Name: aajohan-comfortaa-fonts
Short Description: Modern style true type font
Owners: luya
Branches: f12 f13 f14 el6
InitialCC: maxamillion tk009 font-sig

Comment 27 Luya Tshimbalanga 2010-08-07 18:19:44 UTC
Package Change Request
======================
Package Name: aajohan-comfortaa-fonts
Onwers: luya
InitialCC: fonts-sig   

Request to add fonts-sig user in InitiaCC following Fonts Policy guideline. I apologize for multiple requests.

Comment 28 Kevin Fenzi 2010-08-07 19:03:16 UTC
sorry, this is my fault. It failed to add the cc before because you had 'font-sig' instead of 'fonts-sig'. 

It should be fixed now. Sorry for the trouble.

Comment 29 Luya Tshimbalanga 2010-08-08 00:11:28 UTC
It appears I cannot create git repository.

$ fedpkg clone -B aajohan-comfortaa-fonts
Cloning into bare repository /home/luya/Templates/fedora-scm/aajohan-comfortaa-fonts/fedpkg.git...
fatal: '/srv/git/rpms//aajohan-comfortaa-fonts.git' does not appear to be a git repository
fatal: The remote end hung up unexpectedly
Could not clone: Command '['git', 'clone', '--bare', 'ssh://luya@pkgs.fedoraproject.org/aajohan-comfortaa-fonts', '/home/luya/Templates/fedora-scm/aajohan-comfortaa-fonts/fedpkg.git']' returned non-zero exit status 128

Is there a missing command somewhere?

Comment 30 Kevin Fenzi 2010-08-08 00:17:26 UTC
Oops. One more issue... try again now?

Comment 31 Luya Tshimbalanga 2010-08-08 00:19:45 UTC
(In reply to comment #30)
> Oops. One more issue... try again now?    

It now works, thank you Kevin.


Note You need to log in before you can comment on or make changes to this bug.